# CreateBankTransaction

Use this function to create spend money, receive money, spend prepayment, receive prepayment, spend overpayment or receive overpayment transactions.

**Note:** you cannot create transfers using CreateBankTransaction. To create a bank transfer you need to use the CreateBankTransfers function.

## Properties

#### Authentication

Authentication values used to connect to the Xero server.

#### Bank transaction

The bank transaction to create.

Mandatory Items:

* **Type**: See [Bank Transaction Types](https://developer.xero.com/documentation/api/types#BankTransactionTypes).
* **Contact**: See [Contacts](https://developer.xero.com/documentation/api/contacts).
* **LineItems**: See [LineItems](https://developer.xero.com/documentation/api/banktransactions#LineItemsPOST). The LineItems element can contain any number of individual LineItem sub-elements. At least *one* is required to create a bank transaction.
* **BankAccount**: Bank account for transaction. Only accounts of [Type BANK](https://developer.xero.com/documentation/api/types#AccountTypes) will be accepted. See [BankAccount](https://developer.xero.com/documentation/api/contacts).

## Output

#### BankTransaction

The bank transaction created.

## Links

[Xero Developer: Bank Transaction (POST)](https://developer.xero.com/documentation/api/banktransactions#POST)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/xero/content/banktransactions/createbanktransaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
